<?php

/**
 * @file Class encapsulating the business logic related to integrate MoIP with
 * Drupal structures.
 */
class MoipDrupal {

  private $specifiedComissions = array();

  public function __construct() {

    $reason = variable_get('moip_comission_reason_1');
    $user_receiver = variable_get('moip_comission_user_receiver_1');
    $type = variable_get('moip_comission_type_1');
    $value = variable_get('moip_comission_value_1');

    if (!empty($reason) && !empty($user_receiver) && isset($type) && !empty($value)) {
      $this->specifiedComissions[] = array(
        'reason' => $reason,
        'user_receiver' => $user_receiver,
        'value' => $value,
        'is_percentual' => $type,
      );
    }
  }

  public function comissionIsSet() {
    return count($this->specifiedComissions) > 0;
  }

  public function getComissions() {
    return $this->specifiedComissions;
  }

}